<?php

declare(strict_types=1);

namespace Drupal\sync_client_example\Plugin\SyncClient;

use Drupal\sync_clients\SyncClient\PagedImportSyncClientInterface;
use Psr\Http\Message\ResponseInterface;

/**
 * Defines the Simple Paged Import Sync Client.
 */
interface SyncClientSimplePagedImportInterface extends PagedImportSyncClientInterface {

  /**
   * Get data from the API using a single request.
   *
   * @param int $page
   *   The page to fetch.
   * @param string[] $filter_parameters
   *   Query parameters for filtering.
   *
   * @return \Psr\Http\Message\ResponseInterface
   *   The response.
   *
   * @throws \Drupal\sync_clients\Exceptions\SyncClientInvalidCredentialsException
   * @throws \Drupal\sync_clients\Exceptions\SyncClientPausedException
   * @throws \Drupal\sync_clients\Exceptions\SyncClientRemoteBusyException
   * @throws \Drupal\sync_clients\Exceptions\SyncClientUnknownException
   */
  public function get(int $page = 0, array $filter_parameters = []): ResponseInterface;

}
