<?php

declare(strict_types=1);

namespace Drupal\sync_clients\SyncClient;

/**
 * Defines Sync Clients with progress tracking for paged imports.
 */
interface PagedImportSyncClientInterface extends SyncClientInterface {

  /**
   * Delete the progress data.
   */
  public function deleteProgressData(): void;

  /**
   * Get the fetch progress data of current/last fetch run.
   *
   * @return int
   *   The last page processed. O if no progress is stored.
   */
  public function getFetchProgress(): int;

  /**
   * Set/update the fetch progress data.
   *
   * @param int $page
   *   The last processed page number.
   */
  public function setFetchProgressData(int $page = 0): void;

}
